package com.platform.modules.plm.util;

import java.text.DecimalFormat;

import org.apache.commons.lang3.StringUtils;

/**
 * 改类适合格式十进制的数字
 *
 * @author yikaihong
 */
public class DecimalFormatUtils {

    private static DecimalFormat format = new DecimalFormat();

    /**
     * 数字格式化
     *
     * @param pattern
     * @param number
     * @return
     */
    public static String numberFormat(String pattern, Object number) {
        if (number == null) {
            return null;
        }
        if (StringUtils.isEmpty(pattern)) {
            return number.toString();
        }
        format.applyLocalizedPattern(pattern);
        return format.format(number);
    }

//	public static void main(String[] args) {
//		String result = DecimalFormatUtils.numberFormat("000", 1111);
//		System.out.println(result);
//	}
}
